unit GCallerID_Test_Application;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, OleCtrls, gcallerid1c_TLB, StdCtrls,shellapi, ComCtrls;

type
  TForm1 = class(TForm)
    ListBox1: TListBox;
    lblConnection: TLabel;
    GCallerID_Component1: TGCallerID_Component;
    GroupBox1: TGroupBox;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    ProgressBar1: TProgressBar;
    ProgressBar2: TProgressBar;
    ProgressBar3: TProgressBar;
    ProgressBar4: TProgressBar;
    GroupBox2: TGroupBox;
    Label2: TLabel;
    Label3: TLabel;
    Label1: TLabel;
    procedure FormActivate(Sender: TObject);
    procedure Label1Click(Sender: TObject);
    procedure GCallerID_Component1CallerID(ASender: TObject;
      const CallDate, CallTime, DevSerialNo, LineNo, PhoneNo,
      OtherInfo: WideString);
    procedure GCallerID_Component1DeviceConnection(ASender: TObject;
      const DevSerialNo: WideString);
    procedure GCallerID_Component1DeviceDisconnected(ASender: TObject;
      const DevSerialNo: WideString);
    procedure GCallerID_Component1Sinyaller(ASender: TObject;
      const Seviye1, Seviye2, Seviye3, Seviye4, Seviye5, Seviye6, Seviye7,
      Seviye8: WideString);
  private
    { Private declarations }
  public
    { Public declarations }
    Sayac,Seviye1_pre,Seviye2_pre,Seviye3_pre,Seviye4_pre,Seviye5_pre,Seviye6_pre,Seviye7_pre,Seviye8_pre:Integer;
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormActivate(Sender: TObject);
var
  Tabulators: array[0..5] of Integer;
begin
  GCallerID_Component1.Visible:=false;
  Tabulators[0] := 35; //40
  Tabulators[1] := 80; //90
  Tabulators[2] := 120; //140
  Tabulators[3] := 170; //200
  Tabulators[4] := 200; //250
  SendMessage(ListBox1.Handle, LB_SETTABSTOPS, 5, Longint(@Tabulators));
  ListBox1.Items.Add( 'ar No' + #9 + 'Tarih' + #9 + 'Saat' + #9 + 'Cihaz Seri No' + #9 + 'Hat No' + #9 + 'Telefon Numaras');
end;

procedure ShellOpen(const Url: string; const Params: string = '');
begin
  ShellAPI.ShellExecute(0, 'Open', PChar(Url), PChar(Params), nil, SW_SHOWNORMAL);
end;

procedure TForm1.Label1Click(Sender: TObject);
begin
  ShellOpen(Label1.Caption);
end;

procedure TForm1.GCallerID_Component1CallerID(ASender: TObject;
  const CallDate, CallTime, DevSerialNo, LineNo, PhoneNo,
  OtherInfo: WideString);
begin
 sayac:= sayac+1;
 if sayac<29 then
 begin
 ListBox1.Items.Insert(1, InttoStr(Sayac)+ #9 + CallDate + #9 + CallTime + #9 + DevSerialNo + #9   + LineNo + #9  + PhoneNo);
 end
 else
 begin
 ListBox1.Items.Insert(1, InttoStr(Sayac)+ #9 + CallDate + #9 + CallTime + #9 + DevSerialNo + #9  + LineNo + #9  + PhoneNo);
 ListBox1.Items.Delete(29);
 end;
end;

procedure TForm1.GCallerID_Component1DeviceConnection(ASender: TObject;
  const DevSerialNo: WideString);
begin
  lblConnection.Caption := 'Cihaz No: ' + DevSerialNo;
  lblConnection.font.Color := clBlack;
  Label8.Caption := 'Cihaz No: ' + copy(DevSerialNo,1,8);
  Label8.font.Color := clBlack;
end;

procedure TForm1.GCallerID_Component1DeviceDisconnected(ASender: TObject;
  const DevSerialNo: WideString);
begin
  lblConnection.Caption := 'Cihaz Bal Deil';
  lblConnection.font.Color := clred;
  Label8.Caption := 'Cihaz Bal Deil';
  Label8.font.Color := clRed;
end;

procedure TForm1.GCallerID_Component1Sinyaller(ASender: TObject;
  const Seviye1, Seviye2, Seviye3, Seviye4, Seviye5, Seviye6, Seviye7,
  Seviye8: WideString);
begin
  if abs(StrToInt(seviye1) - seviye1_pre) > 15 then
    begin
    ProgressBar1.Position :=  StrToInt(Seviye1);
    label4.Caption := Seviye1;
    seviye1_pre := StrToInt(seviye1);
    end
    else
    begin
    ProgressBar1.Position :=  0;
    label4.Caption := '0';
    seviye1_pre := StrToInt(seviye1);
    end;

  if abs(StrToInt(seviye2) - seviye2_pre) > 15 then
    begin
    ProgressBar2.Position :=  StrToInt(Seviye2);
    label5.Caption := Seviye2;
    seviye2_pre := StrToInt(seviye2);
    end
    else
    begin
    ProgressBar2.Position :=  0;
    label5.Caption := '0';
    seviye2_pre := StrToInt(seviye2);
    end;

  if abs(StrToInt(seviye3) - seviye3_pre) > 15 then
    begin
    ProgressBar3.Position :=  StrToInt(Seviye3);
    label6.Caption := Seviye3;
    seviye3_pre := StrToInt(seviye3);
    end
    else
    begin
    ProgressBar3.Position :=  0;
    label6.Caption := '0';
    seviye3_pre := StrToInt(seviye3);
    end;

  if abs(StrToInt(seviye4) - seviye4_pre) > 15 then
    begin
    ProgressBar4.Position :=  StrToInt(Seviye4);
    label7.Caption := Seviye4;
    seviye4_pre := StrToInt(seviye4);
    end
    else
    begin
    ProgressBar4.Position :=  0;
    label7.Caption := '0';
    seviye4_pre := StrToInt(seviye4);
    end;

end;

end.
